Endpoint Examples

/rankings

Group and rank postings by available facets.

GET /rankings

Get a list of current available ranking facets.

Code Examples

curl --request GET \
  --url https://api.lightcast.io/ca-jpa/rankings \
  --header 'Authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": [
    "active_sources_info",
    "cd",
    "cd_name",
    "certifications",
    "certifications_name",
    "city",
    "city_name",
    "cma",
    "cma_name",
    "common_skills",
    "common_skills_name",
    "company",
    "company_name",
    "contract_type",
    "contract_type_name",
    "csd",
    "csd_name",
    "edulevels",
    "edulevels_name",
    "employment_type",
    "employment_type_name",
    "laa_admin_area_1",
    "laa_admin_area_1_name",
    "laa_admin_area_2",
    "laa_admin_area_2_name",
    "laa_country",
    "laa_country_name",
    "laa_metro",
    "laa_metro_name",
    "language",
    "language_name",
    "lot_career_area",
    "lot_career_area_name",
    "lot_occupation",
    "lot_occupation_group",
    "lot_occupation_group_name",
    "lot_occupation_name",
    "lot_specialized_occupation",
    "lot_specialized_occupation_name",
    "max_edulevels",
    "max_edulevels_name",
    "max_years_experience",
    "min_edulevels",
    "min_edulevels_name",
    "min_years_experience",
    "naics2",
    "naics2_name",
    "naics3",
    "naics3_name",
    "naics4",
    "naics4_name",
    "naics5",
    "naics5_name",
    "naics6",
    "naics6_name",
    "noc1",
    "noc1_name",
    "noc2",
    "noc2_name",
    "noc3",
    "noc3_name",
    "noc4",
    "noc4_name",
    "noc5",
    "noc5_name",
    "pr",
    "pr_name",
    "province",
    "province_name",
    "remote_type",
    "remote_type_name",
    "skill_categories",
    "skill_categories_name",
    "skill_cluster",
    "skill_subcategories",
    "skill_subcategories_name",
    "skills",
    "skills_name",
    "software_skills",
    "software_skills_name",
    "sources",
    "specialized_skills",
    "specialized_skills_name",
    "title",
    "title_name"
  ]
}

POST /rankings/\{rankingFacet}

Group and rank postings by {rankingFacet}.

URL Parameters

NameTypeDescription
rankingFacetenum

Example: province_name

Must be one of: cd, cd_name, certifications, certifications_name, city, city_name, cma, cma_name, common_skills, common_skills_name, company, company_name, contract_type, contract_type_name, csd, csd_name, edulevels, edulevels_name, employment_type, employment_type_name, laa_admin_area_1, laa_admin_area_1_name, laa_admin_area_2, laa_admin_area_2_name, laa_country, laa_country_name, laa_metro, laa_metro_name, lot_career_area, lot_career_area_name, lot_occupation, lot_occupation_name, lot_occupation_group, lot_occupation_group_name, lot_specialized_occupation, lot_specialized_occupation_name, max_edulevels, max_edulevels_name, min_edulevels, min_edulevels_name, max_years_experience, min_years_experience, naics2, naics2_name, naics3, naics3_name, naics4, naics4_name, naics5, naics5_name, naics6, naics6_name, noc1, noc1_name, noc2, noc2_name, noc3, noc3_name, noc4, noc4_name, noc5, noc5_name, pr, pr_name, province, province_name, remote_type, remote_type_name, skill_categories, skill_categories_name, skill_cluster, skill_subcategories, skill_subcategories_name, skills, skills_name, software_skills, software_skills_name, sources, specialized_skills, specialized_skills_name, title, title_name

Query Parameters

NameTypeDescription
noc_versionenum

Specify NOC taxonomy version to use.
This parameter is optional.
Default: ca_noc2021

Must be one of: ca_noc2021

company_versionenum

Specify company taxonomy version to use.
This parameter is optional.
Default: emsi_company

Must be one of: emsi_company

area_versionenumSpecify area taxonomy version to use.
This parameter is optional.
Default: ca_area_sgc2016
Must be one of: ca_area_sgc2016, ca_area_sgc2021
area_ca_versionenumSpecify area taxonomy version to use.
This parameter is optional.
Default: 2021.0.0
Must be one of: 2021.0.0, 2016.0.0
new_taxonomy_versionsenum

Use new taxonomy versions.
This parameter is optional.

Must be one of: true, false

lot_versionenum

Specify LOT taxonomy version to use.
This parameter is optional.
Default: 7

Must be one of: 6, 7

naics_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: naics_std_2017

Must be one of: naics_std_2017, naics_std_2022

naics_standard_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: 2017.0.1

Must be one of: 2017.0.1, 2022.0.0

Request Body

{
  "filter": {
    "when": {
      "start": "2019-01",
      "end": "2020-12"
    },
    "edulevels_name": [
      "High school or GED"
    ]
  },
  "rank": {
    "by": "unique_postings",
    "limit": 5
  }
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/ca-jpa/rankings/province_name \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "when": { "start": "2019-01", "end": "2020-12" }, "edulevels_name": [ "High school or GED" ] }, "rank": { "by": "unique_postings", "limit": 5 } }'

Response Examples

{
  "data": {
    "ranking": {
      "buckets": [
        {
          "name": "Ontario",
          "unique_postings": 210899
        },
        {
          "name": "British Columbia",
          "unique_postings": 117077
        },
        {
          "name": "Alberta",
          "unique_postings": 82877
        },
        {
          "name": "Quebec",
          "unique_postings": 75114
        },
        {
          "name": "Manitoba",
          "unique_postings": 22343
        }
      ],
      "facet": "province_name",
      "limit": 5,
      "rank_by": "unique_postings"
    },
    "totals": {
      "unique_postings": 582010
    }
  }
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
//Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
//The facet you requested wasn't found.

{
  "errors": [
    {
      "status": 404,
      "title": "URL not found",
      "detail": "Unrecognized facet 'foo'"
    }
  ]
}
//Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}

POST /rankings/\{rankingFacet}/timeseries

Group and rank postings by {rankingFacet} with a monthly or daily timeseries for each ranked group. Use YYYY-MM date format in the timeseries time-frame filter, timeseries.when, to get monthly summary of each ranked group, or use YYYY-MM-DD date format for daily summary.

URL Parameters

NameTypeDescription
rankingFacetenum

Example: province_name

Must be one of: cd, cd_name, certifications, certifications_name, city, city_name, cma, cma_name, common_skills, common_skills_name, company, company_name, contract_type, contract_type_name, csd, csd_name, edulevels, edulevels_name, employment_type, employment_type_name, laa_admin_area_1, laa_admin_area_1_name, laa_admin_area_2, laa_admin_area_2_name, laa_country, laa_country_name, laa_metro, laa_metro_name, lot_career_area, lot_career_area_name, lot_occupation, lot_occupation_name, lot_occupation_group, lot_occupation_group_name, lot_specialized_occupation, lot_specialized_occupation_name, max_edulevels, max_edulevels_name, min_edulevels, min_edulevels_name, max_years_experience, min_years_experience, naics2, naics2_name, naics3, naics3_name, naics4, naics4_name, naics5, naics5_name, naics6, naics6_name, noc1, noc1_name, noc2, noc2_name, noc3, noc3_name, noc4, noc4_name, noc5, noc5_name, pr, pr_name, province, province_name, remote_type, remote_type_name, skill_categories, skill_categories_name, skill_cluster, skill_subcategories, skill_subcategories_name, skills, skills_name, software_skills, software_skills_name, sources, specialized_skills, specialized_skills_name, title, title_name

Query Parameters

NameTypeDescription
noc_versionenum

Specify NOC taxonomy version to use.
This parameter is optional.
Default: ca_noc2021

Must be one of: ca_noc2021

company_versionenum

Specify company taxonomy version to use.
This parameter is optional.
Default: emsi_company

Must be one of: emsi_company

area_versionenum

Specify area taxonomy version to use.
This parameter is optional.
Default: ca_area_sgc2016

Must be one of: ca_area_sgc2016, ca_area_sgc2021

area_ca_versionenum

Specify area taxonomy version to use.
This parameter is optional.
Default: 2021.0.0

Must be one of: 2021.0.0, 2016.0.0

new_taxonomy_versionsenum

Use new taxonomy versions.
This parameter is optional.

Must be one of: true, false

lot_versionenum

Specify LOT taxonomy version to use.
This parameter is optional.
Default: 7

Must be one of: 6, 7

naics_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: naics_std_2017

Must be one of: naics_std_2017, naics_std_2022

naics_standard_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: 2017.0.1

Must be one of: 2017.0.1, 2022.0.0

Request Body

{
  "filter": {
    "when": {
      "start": "2019-01",
      "end": "2020-12"
    },
    "edulevels_name": [
      "High school or GED"
    ]
  },
  "rank": {
    "by": "unique_postings",
    "limit": 5
  },
  "timeseries": {
    "when": {
      "start": "2019-10-15",
      "end": "2019-10-20"
    },
    "metrics": [
      "unique_postings"
    ]
  }
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/ca-jpa/rankings/province_name/timeseries \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "when": { "start": "2019-01", "end": "2020-12" }, "edulevels_name": [ "High school or GED" ] }, "rank": { "by": "unique_postings", "limit": 5 }, "timeseries": { "when": { "start": "2019-10-15", "end": "2019-10-20" }, "metrics": [ "unique_postings" ] } }'

Response Examples

{
  "data": {
    "ranking": {
      "buckets": [
        {
          "name": "Ontario",
          "timeseries": {
            "day": [
              "2019-10-15",
              "2019-10-16",
              "2019-10-17",
              "2019-10-18",
              "2019-10-19",
              "2019-10-20"
            ],
            "unique_postings": [
              14400,
              14429,
              14418,
              14498,
              14402,
              14088
            ]
          },
          "unique_postings": 210899
        },
        {
          "name": "British Columbia",
          "timeseries": {
            "day": [
              "2019-10-15",
              "2019-10-16",
              "2019-10-17",
              "2019-10-18",
              "2019-10-19",
              "2019-10-20"
            ],
            "unique_postings": [
              8742,
              8751,
              8739,
              8799,
              8764,
              8704
            ]
          },
          "unique_postings": 117077
        },
        {
          "name": "Alberta",
          "timeseries": {
            "day": [
              "2019-10-15",
              "2019-10-16",
              "2019-10-17",
              "2019-10-18",
              "2019-10-19",
              "2019-10-20"
            ],
            "unique_postings": [
              5956,
              6004,
              6028,
              6079,
              6060,
              6008
            ]
          },
          "unique_postings": 82877
        },
        {
          "name": "Quebec",
          "timeseries": {
            "day": [
              "2019-10-15",
              "2019-10-16",
              "2019-10-17",
              "2019-10-18",
              "2019-10-19",
              "2019-10-20"
            ],
            "unique_postings": [
              6895,
              6956,
              6909,
              6874,
              6809,
              6695
            ]
          },
          "unique_postings": 75114
        },
        {
          "name": "Manitoba",
          "timeseries": {
            "day": [
              "2019-10-15",
              "2019-10-16",
              "2019-10-17",
              "2019-10-18",
              "2019-10-19",
              "2019-10-20"
            ],
            "unique_postings": [
              1462,
              1474,
              1439,
              1442,
              1432,
              1420
            ]
          },
          "unique_postings": 22343
        }
      ],
      "facet": "province_name",
      "limit": 5,
      "rank_by": "unique_postings"
    },
    "totals": {
      "unique_postings": 582010
    }
  }
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
//Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
//The facet you requested wasn't found.

{
  "errors": [
    {
      "status": 404,
      "title": "URL not found",
      "detail": "Unrecognized facet 'foo'"
    }
  ]
}
//Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}

POST /rankings/\{rankingFacet}/distributions/\{distributionFacet}

Group and rank postings by {rankingFacet} with a distribution for each ranked item.

URL Parameters

NameTypeDescription
rankingFacetenumExample: province_name
Must be one of: cd, cd_name, certifications, certifications_name, city, city_name, cma, cma_name, common_skills, common_skills_name, company, company_name, contract_type, contract_type_name, csd, csd_name, edulevels, edulevels_name, employment_type, employment_type_name, laa_admin_area_1, laa_admin_area_1_name, laa_admin_area_2, laa_admin_area_2_name, laa_country, laa_country_name, laa_metro, laa_metro_name, lot_career_area, lot_career_area_name, lot_occupation, lot_occupation_name, lot_occupation_group, lot_occupation_group_name, lot_specialized_occupation, lot_specialized_occupation_name, max_edulevels, max_edulevels_name, min_edulevels, min_edulevels_name, max_years_experience, min_years_experience, naics2, naics2_name, naics3, naics3_name, naics4, naics4_name, naics5, naics5_name, naics6, naics6_name, noc1, noc1_name, noc2, noc2_name, noc3, noc3_name, noc4, noc4_name, noc5, noc5_name, pr, pr_name, province, province_name, remote_type, remote_type_name, skill_categories, skill_categories_name, skill_cluster, skill_subcategories, skill_subcategories_name, skills, skills_name, software_skills, software_skills_name, sources, specialized_skills, specialized_skills_name, title, title_name
distributionFacetenum

Example: salary

Must be one of: max_years_experience, min_years_experience, posting_duration, salary

Query Parameters

NameTypeDescription
noc_versionenum

Specify NOC taxonomy version to use.
This parameter is optional.
Default: ca_noc2021

Must be one of: ca_noc2021

company_versionenum

Specify company taxonomy version to use.
This parameter is optional.
Default: emsi_company

Must be one of: emsi_company

area_versionenum

Specify area taxonomy version to use.
This parameter is optional.
Default: ca_area_sgc2016

Must be one of: ca_area_sgc2016, ca_area_sgc2021

area_ca_versionenum

Specify area taxonomy version to use.
This parameter is optional.
Default: 2021.0.0

Must be one of: 2021.0.0, 2016.0.0

new_taxonomy_versionsenum

Use new taxonomy versions.
This parameter is optional.

Must be one of: true, false

lot_versionenum

Specify LOT taxonomy version to use.
This parameter is optional.
Default: 7

Must be one of: 6, 7

naics_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: naics_std_2017

Must be one of: naics_std_2017, naics_std_2022

naics_standard_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: 2017.0.1

Must be one of: 2017.0.1, 2022.0.0

Request Body

{
  "filter": {
    "when": {
      "start": "2020-01",
      "end": "2023-12"
    }
  },
  "rank": {
    "by": "unique_postings",
    "limit": 2
  },
  "distribution": {
    "type": "histogram",
    "options": {
      "interval": 100000
    },
    "metrics": [
      "duplicate_postings"
    ]
  }
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/ca-jpa/rankings/province_name/distributions/salary \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "when": { "start": "2020-01", "end": "2023-12" } }, "rank": { "by": "unique_postings", "limit": 2 }, "distribution": { "type": "histogram", "options": { "interval": 100000 }, "metrics": [ "duplicate_postings" ] } }'

Response Examples

{
  "data": {
    "ranking": {
      "buckets": [
        {
          "distribution": {
            "buckets": [
              {
                "duplicate_postings": 231944,
                "key": 1,
                "value": 0
              },
              {
                "duplicate_postings": 35539,
                "key": 2,
                "value": 100000
              },
              {
                "duplicate_postings": 1451,
                "key": 3,
                "value": 200000
              },
              {
                "duplicate_postings": 652,
                "key": 4,
                "value": 300000
              },
              {
                "duplicate_postings": 22,
                "key": 5,
                "value": 400000
              },
              {
                "duplicate_postings": 1,
                "key": 6,
                "value": 500000
              }
            ],
            "domain": {
              "max": 500000,
              "min": 18678
            },
            "facet": "salary",
            "interval": 100000,
            "type": "histogram"
          },
          "name": "Unclassified",
          "unique_postings": 185391
        },
        {
          "distribution": {
            "buckets": [
              {
                "duplicate_postings": 2007,
                "key": 1,
                "value": 0
              },
              {
                "duplicate_postings": 125,
                "key": 2,
                "value": 100000
              },
              {
                "duplicate_postings": 1,
                "key": 3,
                "value": 200000
              }
            ],
            "domain": {
              "max": 207500,
              "min": 24544
            },
            "facet": "salary",
            "interval": 100000,
            "type": "histogram"
          },
          "name": "Loblaw Companies Limited",
          "unique_postings": 8843
        }
      ],
      "facet": "company_name",
      "limit": 2,
      "rank_by": "unique_postings"
    },
    "totals": {
      "unique_postings": 876839
    }
  }
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
//Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
//The facet you requested wasn't found.

{
  "errors": [
    {
      "status": 404,
      "title": "URL not found",
      "detail": "Unrecognized facet 'foo'"
    }
  ]
}
//Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}

POST /rankings/\{rankingFacet}/rankings/\{nestedRankingFacet}

Get a nested ranking (e.g. top companies, then top skills per company).

URL Parameters

NameTypeDescription
rankingFacetenumExample: province_name
Must be one of: cd, cd_name, certifications, certifications_name, city, city_name, cma, cma_name, common_skills, common_skills_name, company, company_name, contract_type, contract_type_name, csd, csd_name, edulevels, edulevels_name, employment_type, employment_type_name, laa_admin_area_1, laa_admin_area_1_name, laa_admin_area_2, laa_admin_area_2_name, laa_country, laa_country_name, laa_metro, laa_metro_name, lot_career_area, lot_career_area_name, lot_occupation, lot_occupation_name, lot_occupation_group, lot_occupation_group_name, lot_specialized_occupation, lot_specialized_occupation_name, max_edulevels, max_edulevels_name, min_edulevels, min_edulevels_name, max_years_experience, min_years_experience, naics2, naics2_name, naics3, naics3_name, naics4, naics4_name, naics5, naics5_name, naics6, naics6_name, noc1, noc1_name, noc2, noc2_name, noc3, noc3_name, noc4, noc4_name, noc5, noc5_name, pr, pr_name, province, province_name, remote_type, remote_type_name, skill_categories, skill_categories_name, skill_cluster, skill_subcategories, skill_subcategories_name, skills, skills_name, software_skills, software_skills_name, sources, specialized_skills, specialized_skills_name, title, title_name
nestedRankingFacetenumExample: company_name
Must be one of: cd, cd_name, certifications, certifications_name, city, city_name, cma, cma_name, common_skills, common_skills_name, company, company_name, contract_type, contract_type_name, csd, csd_name, edulevels, edulevels_name, employment_type, employment_type_name, laa_admin_area_1, laa_admin_area_1_name, laa_admin_area_2, laa_admin_area_2_name, laa_country, laa_country_name, laa_metro, laa_metro_name, lot_career_area, lot_career_area_name, lot_occupation, lot_occupation_name, lot_occupation_group, lot_occupation_group_name, lot_specialized_occupation, lot_specialized_occupation_name, max_edulevels, max_edulevels_name, min_edulevels, min_edulevels_name, max_years_experience, min_years_experience, naics2, naics2_name, naics3, naics3_name, naics4, naics4_name, naics5, naics5_name, naics6, naics6_name, noc1, noc1_name, noc2, noc2_name, noc3, noc3_name, noc4, noc4_name, noc5, noc5_name, pr, pr_name, province, province_name, remote_type, remote_type_name, skill_categories, skill_categories_name, skill_cluster, skill_subcategories, skill_subcategories_name, skills, skills_name, software_skills, software_skills_name, sources, specialized_skills, specialized_skills_name, title, title_name

Query Parameters

NameTypeDescription
noc_versionenum

Specify NOC taxonomy version to use.
This parameter is optional.
Default: ca_noc2021

Must be one of: ca_noc2021

company_versionenum

Specify company taxonomy version to use.
This parameter is optional.
Default: emsi_company

Must be one of: emsi_company

area_versionenum

Specify area taxonomy version to use.
This parameter is optional.
Default: ca_area_sgc2016

Must be one of: ca_area_sgc2016, ca_area_sgc2021

area_ca_versionenum

Specify area taxonomy version to use.
This parameter is optional.
Default: 2021.0.0

Must be one of: 2021.0.0, 2016.0.0

new_taxonomy_versionsenum

Use new taxonomy versions.
This parameter is optional.

Must be one of: true, false

lot_versionenum

Specify LOT taxonomy version to use.
This parameter is optional.
Default: 7

Must be one of: 6, 7

naics_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: naics_std_2017

Must be one of: naics_std_2017, naics_std_2022

naics_standard_versionenum

Specify NAICS taxonomy version to use.
This parameter is optional.
Default: 2017.0.1

Must be one of: 2017.0.1, 2022.0.0

Request Body

{
  "filter": {
    "when": {
      "start": "2019-01",
      "end": "2020-12"
    },
    "edulevels_name": [
      "High school or GED"
    ]
  },
  "rank": {
    "by": "unique_postings",
    "limit": 5
  },
  "nested_rank": {
    "by": "significance",
    "limit": 5
  }
}

Code Examples

curl --request POST \
  --url https://api.lightcast.io/ca-jpa/rankings/province_name/rankings/company_name \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "when": { "start": "2019-01", "end": "2020-12" }, "edulevels_name": [ "High school or GED" ] }, "rank": { "by": "unique_postings", "limit": 5 }, "nested_rank": { "by": "significance", "limit": 5 } }'

Response Examples

{
  "data": {
    "ranking": {
      "buckets": [
        {
          "name": "Ontario",
          "ranking": {
            "buckets": [
              {
                "name": "Crossmark Inc",
                "significance": 0.06576983366929957,
                "unique_postings": 1387
              },
              {
                "name": "Wine Rack",
                "significance": 0.06456121327882935,
                "unique_postings": 506
              },
              {
                "name": "G4s Securicor",
                "significance": 0.04956919150399612,
                "unique_postings": 723
              },
              {
                "name": "Cintas Corporation",
                "significance": 0.04434141238358727,
                "unique_postings": 810
              },
              {
                "name": "G4S Cash Solutions (Canada) Ltd",
                "significance": 0.043535643382147125,
                "unique_postings": 498
              }
            ],
            "facet": "company_name",
            "limit": 5,
            "rank_by": "significance"
          },
          "unique_postings": 210899
        },
        {
          "name": "British Columbia",
          "ranking": {
            "buckets": [
              {
                "name": "7-Eleven, Inc.",
                "significance": 0.3422409105780443,
                "unique_postings": 1851
              },
              {
                "name": "Hub International Limited",
                "significance": 0.19144914116808912,
                "unique_postings": 1244
              },
              {
                "name": "Denny's Corporation",
                "significance": 0.1460025886812618,
                "unique_postings": 882
              },
              {
                "name": "University of British Columbia",
                "significance": 0.0959875900599653,
                "unique_postings": 1052
              },
              {
                "name": "Amazon.com, Inc.",
                "significance": 0.07042710720075795,
                "unique_postings": 1356
              }
            ],
            "facet": "company_name",
            "limit": 5,
            "rank_by": "significance"
          },
          "unique_postings": 117077
        },
        {
          "name": "Alberta",
          "ranking": {
            "buckets": [
              {
                "name": "7-Eleven, Inc.",
                "significance": 0.32519858972195154,
                "unique_postings": 1278
              },
              {
                "name": "Fort McKay Group of Companies",
                "significance": 0.2532719545906388,
                "unique_postings": 376
              },
              {
                "name": "DynalifeDX",
                "significance": 0.19025746258750517,
                "unique_postings": 256
              },
              {
                "name": "Calgary Board of Education",
                "significance": 0.18250226977800274,
                "unique_postings": 289
              },
              {
                "name": "Calgary Catholic School District",
                "significance": 0.1816931332577926,
                "unique_postings": 262
              }
            ],
            "facet": "company_name",
            "limit": 5,
            "rank_by": "significance"
          },
          "unique_postings": 82877
        },
        {
          "name": "Quebec",
          "ranking": {
            "buckets": [
              {
                "name": "Canadian Forces Recruiting Centre",
                "significance": 1.5870127136256378,
                "unique_postings": 2389
              },
              {
                "name": "Canadian Forces",
                "significance": 1.3377272108196587,
                "unique_postings": 2818
              },
              {
                "name": "Ardene",
                "significance": 0.4834013008316185,
                "unique_postings": 2087
              },
              {
                "name": "Mondou",
                "significance": 0.3237681227022503,
                "unique_postings": 539
              },
              {
                "name": "Groupe Cetu",
                "significance": 0.18960993895580527,
                "unique_postings": 254
              }
            ],
            "facet": "company_name",
            "limit": 5,
            "rank_by": "significance"
          },
          "unique_postings": 75114
        },
        {
          "name": "Manitoba",
          "ranking": {
            "buckets": [
              {
                "name": "Southern Health-Sante Sud",
                "significance": 3.535642931820881,
                "unique_postings": 838
              },
              {
                "name": "Winnipeg Regional Health Authority, The",
                "significance": 2.905295654356696,
                "unique_postings": 1639
              },
              {
                "name": "Friesens Corporation",
                "significance": 1.6102735629252467,
                "unique_postings": 137
              },
              {
                "name": "Brandon, City Of",
                "significance": 1.2811044086421817,
                "unique_postings": 146
              },
              {
                "name": "St. James-Assiniboia School Division",
                "significance": 1.02950568467754,
                "unique_postings": 97
              }
            ],
            "facet": "company_name",
            "limit": 5,
            "rank_by": "significance"
          },
          "unique_postings": 22343
        }
      ],
      "facet": "province_name",
      "limit": 5,
      "rank_by": "unique_postings"
    },
    "totals": {
      "unique_postings": 582010
    }
  }
}
//Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
//Your request wasn't unauthorized.

{
  "errors": [
    {
      "status": 401,
      "title": "Unauthorized Request",
      "detail": "You are not authorized to access this resource."
    }
  ]
}
//The facet you requested wasn't found.

{
  "errors": [
    {
      "status": 404,
      "title": "URL not found",
      "detail": "Unrecognized facet 'foo'"
    }
  ]
}
//Your request wasn't valid (bad keyword expression).

{
  "errors": [
    {
      "status": 422,
      "title": "Invalid request content",
      "detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t                                                  ^"
    }
  ]
}